{
  programs.git = {
    enable = true;
    aliases = {
      graph = "log --oneline --all --graph";
      amend = "commit --amend --no-edit";
    };
    delta = {
      enable = true;
    };
    extraConfig = {
      pull.rebase = true;
    };
  };
}
